Update workspace details
curl --request PATCH \
--url https://api.snitcher.com/v1/workspaces/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"usage_limit": 1000
}
'import requests
url = "https://api.snitcher.com/v1/workspaces/{uuid}"
payload = { "usage_limit": 1000 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({usage_limit: 1000})
};
fetch('https://api.snitcher.com/v1/workspaces/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "ACME Inc.",
"url": "https://acme.com",
"tracking_script_id": "s123456789",
"tracking_script_snippet": "<script>...</script>",
"available_tags": [
"marketing",
"design"
],
"usage_limit": "1000"
}
}Workspaces
Update workspace details
PATCH
/
v1
/
workspaces
/
{uuid}
Update workspace details
Authorizations
Enter your personal access token (PAT) to authenticate
Path Parameters
UUID of the workspace
Example:
"550e8400-e29b-41d4-a716-446655440000"
Body
application/json
Example:
1000
⌘I